/* instagram-box */
.instagram-box {
  overflow: hidden;
  background-color: var(--text-color-black);
}
.instagram-box .container {
  padding: 96px 24px;
}
.instagram-box__header {
  margin-bottom: 32px;
  display: flex;
  align-items: baseline;
  gap: 16px;
}

.instagram-box__header .link {
  font-family: "Tektur", sans-serif;
  font-weight: 500;
  font-size: 32px;
  line-height: 40px;
  letter-spacing: 1px;
  text-transform: uppercase;
  text-decoration: underline;
}
.instagram-box .swiper-slide {
  display: flex;
  gap: 2px;
}
.instagram-box__card {
  position: relative;
  overflow: hidden;
  align-items: center;
  flex: 1;
  background: #ffffff;
}
.instagram-box__card:before {
  content: "";
  display: block;
  padding-top: 100%;
}
.instagram-box__card img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  transition: all 0.3s ease;
}
.instagram-box__card .hover-box {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.7);
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease;
}
.instagram-box__slider {
  position: relative;
}

.instagram-box__slider .swiper-button-prev,
.instagram-box__slider .swiper-button-next {
  background: none;
  width: 64px;
  height: 64px;
  margin-top: -32px;
}
.instagram-box__slider .swiper-button-prev {
  transform: rotate(-180deg);
  left: 0;
}
.instagram-box__slider .swiper-button-next {
  right: 0;
}

.instagram-box__card .hash {
  font-weight: 400;
  font-size: 32px;
  line-height: 40px;
  letter-spacing: 1px;
  text-align: center;
  text-transform: uppercase;
}
.instagram-box .content .rl-title {
  font-family: "Tektur", sans-serif;
  font-weight: 500;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0.8px;
  text-align: center;
  text-transform: uppercase;
}
.instagram-box__card .content {
  display: flex;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  padding: 10px;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 24px;
}
@media (min-width: 1024px) {
  .instagram-box__card:hover .hover-box {
    opacity: 1;
    visibility: visible;
  }
}

@media (max-width: 1023px) {
  .instagram-box__card .hash {
    font-size: 22px;
    line-height: 30px;
    letter-spacing: 1px;
  }
  .instagram-box .content .rl-title {
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0.3px;
  }
  .instagram-box__card .button-text {
    font-size: 14px;
    line-height: 21px;
    letter-spacing: 0.5px;
  }
  .instagram-box .swiper-slide {
    flex-wrap: wrap;
    flex-direction: row-reverse;
  }
  .instagram-box__card {
    width: calc(50% - 1px);
    flex: auto;
  }
  .instagram-box__card.text {
    order: 3;
  }
}

@media (max-width: 768px) {
  .category-card .h2 {
    bottom: 20px;
  }
  .instagram-box {
    padding: 56px 0;
  }
  .instagram-box .container {
    padding: 56px 0;
  }
  .instagram-box__slider .swiper-button-next {
    right: 20px;
  }
  .instagram-box__slider .swiper-button-prev {
    left: 20px;
  }
  .instagram-box__header {
    padding: 0 20px;
    flex-direction: column;
    gap: 12px;
  }
  .instagram-box__header .link {
    font-size: 26px;
    line-height: 34px;
    letter-spacing: 1px;
  }
}
